PV = "1.12.4+20130830T114133+1eaad5d-bs"
SRC_URI = "http://should-already-by-in-dl-dir/cairo-bs-1.12.4+20130830T114133+1eaad5d.tar.gz"
SRC_URI[sha256sum] = "7d45af0a043ad4f69bedb3e60ef147fae848b6af48076dc6394563364b12d905"
EXTRA_OECONF += "--enable-directfb"
DEPENDS += "directfb"

EXTRA_OECONF_append_cheetah = " --enable-cogl"
DEPENDS_append_cheetah = " cogl-nopango"
EXTRA_OECONF_append_tiger = " --enable-cogl"
DEPENDS_append_tiger = " cogl-nopango"
EXTRA_OECONF_append_bcm97445 = " --enable-cogl"
DEPENDS_append_bcm97445 = " cogl-nopango"
EXTRA_OECONF_append_qemux86 = " --enable-cogl"
DEPENDS_append_qemux86 = " cogl-nopango"
EXTRA_OECONF_append_cheetah-tests = " --enable-cogl"
DEPENDS_append_cheetah-tests = " cogl-nopango"

PR .= "bs5"


SRCREV_FORMAT = "source"

FILESPATH = ""

PKG_CONFIG_PATH_prepend = "${STAGING_DIR_HOST}/${exec_prefix}/cogl-nopango/${baselib}/pkgconfig:"

do_configure_prepend() {
	( cd ${S}
	# create dummy */Makefile.am.features and ChangeLog to make automake happy
	> boilerplate/Makefile.am.features
	> src/Makefile.am.features
	touch ChangeLog
	)
}

LDFLAGS_prepend = "-L${STAGING_DIR_HOST}/cogl-nopango/lib "
CFLAGS_prepend = "-I${STAGING_DIR_HOST}/cogl-nopango/include "


