DESCRIPTION = "A linux based command-line programmer for Atmel (8051, AVR & AVR32) chips with a USB bootloader supporting ISP."
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=0ac51ef3461997b6800127e019cffe33"

SRC_URI = "http://sourceforge.net/projects/dfu-programmer/files/dfu-programmer/0.6.0/dfu-programmer-0.6.0.tar.gz \
           file://dfu-programmer-0.6.0-enh.patch"

SRC_URI[md5sum] = "a67ca1e4dff6aa147a21c38c69e7472e"
SRC_URI[sha256sum] = "875207f48255d81c49e9e85f8a7a098339935a458a3f46f903c4c815896e7c82"

S = "${WORKDIR}/dfu-programmer-${PV}"

inherit gettext autotools

#do_install() {
#    install -D -m755 src/dfu-programmer ${D}/bin/dfu-programmer
#}

do_install() {
    autotools_do_install
    install -D -m755 src/dfu-programmer ${D}/bin/dfu-programmer
}

#do_install_append() {
#}

#do_rm_work() {
#     # don't_rm_work
#     :
#}
