SECTION="kernel"
LICENSE="GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"
PV = "4.7.94-bs"
SRC_URI = "http://should-already-by-in-dl-dir/linux-bcm7425-4.7.94-bs.tar.gz file://${MACHINE}.config"
SRC_URI[sha256sum] = "abd9070fe416ae4bfe41bad6228aed4f6a8f7b900cced6f6080438e5958439d9"

KERNEL_IMAGETYPE = "vmlinuz"
KERNEL_IMAGE_BASE_NAME = "${KERNEL_IMAGETYPE}"
KERNEL_OUTPUT = "${KERNEL_IMAGETYPE}"

inherit kernel
PKG_kernel-image = "kernel-image"

DEPENDS += "lzop-native"

do_configure_prepend() {
	cp "${WORKDIR}/${MACHINE}.config" "${S}/.config"
}
