DESCRIPTION = "linuxptp is an implementation of the Precision Time Protocol (PTP) ."
HOMEPAGE = "http://linuxptp.sourceforge.net/"
SECTION = "libs"

PV = "1.3"

SRC_URI = "http://downloads.sourceforge.net/project/linuxptp/v${PV}/linuxptp-${PV}.tgz \
           file://cross_compile.patch \
           file://ptp_clock.patch \
           file://hwstamp.patch \
           file://sysoff.patch \
           file://phc2sys.patch \
           file://adjtime.patch \
 	  "
SRC_URI[md5sum] = "664706a86fe1413391d4536080548501"
SRC_URI[sha256sum] = "b1651186689ef06e56add506bd9bb55a700ca56e3f92ba71d08f3ad12fad3085"

LICENSE = "GPLv2"
S = "${WORKDIR}/linuxptp-${PV}"
PR = "r2"

LIC_FILES_CHKSUM = "FILE://${S}/COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"

do_install() {
	install -d ${D}${bindir}
	install -d ${D}${bindir}/.debug
	install -m 0755 ${S}/ptp4l ${D}${bindir}
	install -m 0755 ${S}/phc2sys ${D}${bindir}
	install -m 0755 ${S}/pmc ${D}${bindir}
}
